Ipopt 3.12.10

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Protected Member Functions | List of all members
MittelmannDistCntrlNeumBBase Class Referenceabstract

Base class for distributed control problems with homogeneous Neumann boundary conditions, as formulated by Hans Mittelmann as Examples 4-6 in "Optimization Techniques for Solving Elliptic Control Problems with Control and State Constraints. More...

`#include <MittelmannDistCntrlNeumB.hpp>`

Inheritance diagram for MittelmannDistCntrlNeumBBase:
[legend]

## Public Member Functions
| MittelmannDistCntrlNeumBBase ()
| Constructor. More...
virtual | ~MittelmannDistCntrlNeumBBase ()
| Default destructor. More...
virtual bool | get_scaling_parameters (Number &obj_scaling, bool &use_x_scaling, Index n, Number *x_scaling, bool &use_g_scaling, Index m, Number *g_scaling)
| Method for returning scaling parameters. More...
Overloaded from TNLP
virtual bool | get_nlp_info (Index &n, Index &m, Index &nnz_jac_g, Index &nnz_h_lag, IndexStyleEnum &index_style)
| Method to return some info about the nlp. More...
virtual bool | get_bounds_info (Index n, Number *x_l, Number *x_u, Index m, Number *g_l, Number *g_u)
| Method to return the bounds for my problem. More...
virtual bool | get_starting_point (Index n, bool init_x, Number *x, bool init_z, Number *z_L, Number *z_U, Index m, bool init_lambda, Number *lambda)
| Method to return the starting point for the algorithm. More...
virtual bool | eval_f (Index n, const Number *x, bool new_x, Number &obj_value)
| Method to return the objective value. More...
virtual bool | eval_grad_f (Index n, const Number *x, bool new_x, Number *grad_f)
| Method to return the gradient of the objective. More...
virtual bool | eval_g (Index n, const Number *x, bool new_x, Index m, Number *g)
| Method to return the constraint residuals. More...
virtual bool | eval_jac_g (Index n, const Number *x, bool new_x, Index m, Index nele_jac, Index *iRow, Index *jCol, Number *values)
| Method to return: 1) The structure of the jacobian (if "values" is NULL) 2) The values of the jacobian (if "values" is not NULL) More...
virtual bool | eval_h (Index n, const Number *x, bool new_x, Number obj_factor, Index m, const Number *lambda, bool new_lambda, Index nele_hess, Index *iRow, Index *jCol, Number *values)
| Method to return: 1) The structure of the hessian of the lagrangian (if "values" is NULL) 2) The values of the hessian of the lagrangian (if "values" is not NULL) More...
Solution Methods
virtual void | finalize_solution (SolverReturn status, Index n, const Number *x, const Number *z_L, const Number *z_U, Index m, const Number *g, const Number *lambda, Number obj_value, const IpoptData *ip_data, IpoptCalculatedQuantities *ip_cq)
| This method is called after the optimization, and could write an output file with the optimal profiles. More...
Public Member Functions inherited from RegisteredTNLP
virtual bool | InitializeProblem (Index N)=0
| Initialize internal parameters, where N is a parameter determining the problme size. More...
Public Member Functions inherited from Ipopt::TNLP
| DECLARE_STD_EXCEPTION (INVALID_TNLP)
| TNLP ()
virtual | ~TNLP ()
| Default destructor. More...
virtual void | finalize_metadata (Index n, const StringMetaDataMapType &var_string_md, const IntegerMetaDataMapType &var_integer_md, const NumericMetaDataMapType &var_numeric_md, Index m, const StringMetaDataMapType &con_string_md, const IntegerMetaDataMapType &con_integer_md, const NumericMetaDataMapType &con_numeric_md)
| This method is called just before finalize_solution. More...
virtual bool | intermediate_callback (AlgorithmMode mode, Index iter, Number obj_value, Number inf_pr, Number inf_du, Number mu, Number d_norm, Number regularization_size, Number alpha_du, Number alpha_pr, Index ls_trials, const IpoptData *ip_data, IpoptCalculatedQuantities *ip_cq)
| Intermediate Callback method for the user. More...
virtual Index | get_number_of_nonlinear_variables ()
virtual bool | get_list_of_nonlinear_variables (Index num_nonlin_vars, Index *pos_nonlin_vars)
virtual bool | get_var_con_metadata (Index n, StringMetaDataMapType &var_string_md, IntegerMetaDataMapType &var_integer_md, NumericMetaDataMapType &var_numeric_md, Index m, StringMetaDataMapType &con_string_md, IntegerMetaDataMapType &con_integer_md, NumericMetaDataMapType &con_numeric_md)
| overload this method to return any meta data for the variables and the constraints More...
virtual bool | get_variables_linearity (Index n, LinearityType *var_types)
| overload this method to return the variables linearity (TNLP::LINEAR or TNLP::NON_LINEAR). More...
virtual bool | get_constraints_linearity (Index m, LinearityType *const_types)
| overload this method to return the constraint linearity. More...
virtual bool | get_warm_start_iterate (IteratesVector &warm_start_iterate)
| overload this method to provide an Ipopt iterate (already in the form Ipopt requires it internally) for a warm start. More...
Public Member Functions inherited from Ipopt::ReferencedObject
| ReferencedObject ()
virtual | ~ReferencedObject ()
Index | ReferenceCount () const
void | AddRef (const Referencer *referencer) const
void | ReleaseRef (const Referencer *referencer) const

## Protected Member Functions
void | SetBaseParameters (Index N, Number lb_y, Number ub_y, Number lb_u, Number ub_u, Number b_0j, Number b_1j, Number b_i0, Number b_i1, Number u_init)
| Method for setting the internal parameters that define the problem. More...
Functions that defines a particular instance.
virtual Number | y_d_cont (Number x1, Number x2) const =0
| Target profile function for y (and initial guess function) More...
virtual Number | fint_cont (Number x1, Number x2, Number y, Number u) const =0
| Integrant in objective function. More...
virtual Number | fint_cont_dy (Number x1, Number x2, Number y, Number u) const =0
| First partial derivative of fint_cont w.r.t. More...
virtual Number | fint_cont_du (Number x1, Number x2, Number y, Number u) const =0
| First partial derivative of fint_cont w.r.t. More...
virtual Number | fint_cont_dydy (Number x1, Number x2, Number y, Number u) const =0
| Second partial derivative of fint_cont w.r.t. More...
virtual bool | fint_cont_dydy_alwayszero () const =0
| returns true if second partial derivative of fint_cont w.r.t. More...
virtual Number | fint_cont_dudu (Number x1, Number x2, Number y, Number u) const =0
| Second partial derivative of fint_cont w.r.t. More...
virtual bool | fint_cont_dudu_alwayszero () const =0
| returns true if second partial derivative of fint_cont w.r.t. More...
virtual Number | fint_cont_dydu (Number x1, Number x2, Number y, Number u) const =0
| Second partial derivative of fint_cont w.r.t. More...
virtual bool | fint_cont_dydu_alwayszero () const =0
| returns true if second partial derivative of fint_cont w.r.t. More...
virtual Number | d_cont (Number x1, Number x2, Number y, Number u) const =0
| Forcing function for the elliptic equation. More...
virtual Number | d_cont_dy (Number x1, Number x2, Number y, Number u) const =0
| First partial derivative of forcing function w.r.t. More...
virtual Number | d_cont_du (Number x1, Number x2, Number y, Number u) const =0
| First partial derivative of forcing function w.r.t. More...
virtual Number | d_cont_dydy (Number x1, Number x2, Number y, Number u) const =0
| Second partial derivative of forcing function w.r.t. More...
virtual bool | d_cont_dydy_alwayszero () const =0
| returns true if second partial derivative of d_cont w.r.t. More...
virtual Number | d_cont_dudu (Number x1, Number x2, Number y, Number u) const =0
| Second partial derivative of forcing function w.r.t. More...
virtual bool | d_cont_dudu_alwayszero () const =0
| returns true if second partial derivative of d_cont w.r.t. More...
virtual Number | d_cont_dydu (Number x1, Number x2, Number y, Number u) const =0
| Second partial derivative of forcing function w.r.t. More...
virtual bool | d_cont_dydu_alwayszero () const =0
| returns true if second partial derivative of d_cont w.r.t. More...

## Private Member Functions
Methods to block default compiler methods.
The compiler automatically generates the following three methods. Since the default compiler implementation is generally not what you want (for all but the most simple classes), we usually put the declarations of these methods in the private section and never implement them. This prevents the compiler from implementing an incorrect "default" behavior without us knowing. (See Scott Meyers book, "Effective C++")
| MittelmannDistCntrlNeumBBase (const MittelmannDistCntrlNeumBBase &)
MittelmannDistCntrlNeumBBase & | operator= (const MittelmannDistCntrlNeumBBase &)
Auxilliary methods
Index | y_index (Index i, Index j) const
| Translation of mesh point indices to NLP variable indices for y(x_ij) More...
Index | u_index (Index i, Index j) const
| Translation of mesh point indices to NLP variable indices for u(x_ij) More...
Index | pde_index (Index i, Index j) const
| Translation of interior mesh point indices to the corresponding PDE constraint number. More...
Number | x1_grid (Index i) const
| Compute the grid coordinate for given index in x1 direction. More...
Number | x2_grid (Index i) const
| Compute the grid coordinate for given index in x2 direction. More...

## Private Attributes
Problem specification
Index | N_
| Number of mesh points in one dimension (excluding boundary) More...
Number | h_
| Step size. More...
Number | hh_
| h_ squaredd More...
Number | lb_y_
| overall lower bound on y More...
Number | ub_y_
| overall upper bound on y More...
Number | lb_u_
| overall lower bound on u More...
Number | ub_u_
| overall upper bound on u More...
Number | b_0j_
| Value of beta function (in Neumann boundary condition) for (0,x2) bounray. More...
Number | b_1j_
| Value of beta function (in Neumann boundary condition) for (1,x2) bounray. More...
Number | b_i0_
| Value of beta function (in Neumann boundary condition) for (x1,0) bounray. More...
Number | b_i1_
| Value of beta function (in Neumann boundary condition) for (x1,1) bounray. More...
Number | u_init_
| Initial value for the constrols u. More...
Number * | y_d_
| Array for the target profile for y. More...

## Additional Inherited Members
Public Types inherited from Ipopt::TNLP
enum | LinearityType { LINEAR, NON_LINEAR }
| Type of the constraints. More...
enum | IndexStyleEnum { C_STYLE =0, FORTRAN_STYLE =1 }
| overload this method to return the number of variables and constraints, and the number of non-zeros in the jacobian and the hessian. More...
typedef std::map< std::string, std::vector< std::string > > | StringMetaDataMapType
typedef std::map< std::string, std::vector< Index > > | IntegerMetaDataMapType
typedef std::map< std::string, std::vector< Number > > | NumericMetaDataMapType

## Detailed Description

Base class for distributed control problems with homogeneous Neumann boundary conditions, as formulated by Hans Mittelmann as Examples 4-6 in "Optimization Techniques for Solving Elliptic Control Problems with Control and State Constraints.

Part 2: Distributed Control"

Definition at line 50 of file MittelmannDistCntrlNeumB.hpp.

## Constructor & Destructor Documentation

MittelmannDistCntrlNeumBBase::MittelmannDistCntrlNeumBBase | ( |  | ) |

Constructor.

N is the number of mesh points in one dimension (excluding boundary).

virtual MittelmannDistCntrlNeumBBase::~MittelmannDistCntrlNeumBBase | ( |  | ) |
| virtual

Default destructor.

MittelmannDistCntrlNeumBBase::MittelmannDistCntrlNeumBBase | ( | const MittelmannDistCntrlNeumBBase & |  | ) |
| private

## Member Function Documentation

virtual bool MittelmannDistCntrlNeumBBase::get_nlp_info | ( | Index & | n,
|  | Index & | m,
|  | Index & | nnz_jac_g,
|  | Index & | nnz_h_lag,
|  | IndexStyleEnum & | index_style
| ) |  |
| virtual

Method to return some info about the nlp.

Implements Ipopt::TNLP.

virtual bool MittelmannDistCntrlNeumBBase::get_bounds_info | ( | Index | n,
|  | Number * | x_l,
|  | Number * | x_u,
|  | Index | m,
|  | Number * | g_l,
|  | Number * | g_u
| ) |  |
| virtual

Method to return the bounds for my problem.

Implements Ipopt::TNLP.

virtual bool MittelmannDistCntrlNeumBBase::get_starting_point | ( | Index | n,
|  | bool | init_x,
|  | Number * | x,
|  | bool | init_z,
|  | Number * | z_L,
|  | Number * | z_U,
|  | Index | m,
|  | bool | init_lambda,
|  | Number * | lambda
| ) |  |
| virtual

Method to return the starting point for the algorithm.

Implements Ipopt::TNLP.

virtual bool MittelmannDistCntrlNeumBBase::eval_f | ( | Index | n,
|  | const Number * | x,
|  | bool | new_x,
|  | Number & | obj_value
| ) |  |
| virtual

Method to return the objective value.

Implements Ipopt::TNLP.

virtual bool MittelmannDistCntrlNeumBBase::eval_grad_f | ( | Index | n,
|  | const Number * | x,
|  | bool | new_x,
|  | Number * | grad_f
| ) |  |
| virtual

Method to return the gradient of the objective.

Implements Ipopt::TNLP.

virtual bool MittelmannDistCntrlNeumBBase::eval_g | ( | Index | n,
|  | const Number * | x,
|  | bool | new_x,
|  | Index | m,
|  | Number * | g
| ) |  |
| virtual

Method to return the constraint residuals.

Implements Ipopt::TNLP.

virtual bool MittelmannDistCntrlNeumBBase::eval_jac_g | ( | Index | n,
|  | const Number * | x,
|  | bool | new_x,
|  | Index | m,
|  | Index | nele_jac,
|  | Index * | iRow,
|  | Index * | jCol,
|  | Number * | values
| ) |  |
| virtual

Method to return: 1) The structure of the jacobian (if "values" is NULL) 2) The values of the jacobian (if "values" is not NULL)

Implements Ipopt::TNLP.

virtual bool MittelmannDistCntrlNeumBBase::eval_h | ( | Index | n,
|  | const Number * | x,
|  | bool | new_x,
|  | Number | obj_factor,
|  | Index | m,
|  | const Number * | lambda,
|  | bool | new_lambda,
|  | Index | nele_hess,
|  | Index * | iRow,
|  | Index * | jCol,
|  | Number * | values
| ) |  |
| virtual

Method to return: 1) The structure of the hessian of the lagrangian (if "values" is NULL) 2) The values of the hessian of the lagrangian (if "values" is not NULL)

Reimplemented from Ipopt::TNLP.

virtual bool MittelmannDistCntrlNeumBBase::get_scaling_parameters | ( | Number & | obj_scaling,
|  | bool & | use_x_scaling,
|  | Index | n,
|  | Number * | x_scaling,
|  | bool & | use_g_scaling,
|  | Index | m,
|  | Number * | g_scaling
| ) |  |
| virtual

Method for returning scaling parameters.

Reimplemented from Ipopt::TNLP.

virtual void MittelmannDistCntrlNeumBBase::finalize_solution | ( | SolverReturn | status,
|  | Index | n,
|  | const Number * | x,
|  | const Number * | z_L,
|  | const Number * | z_U,
|  | Index | m,
|  | const Number * | g,
|  | const Number * | lambda,
|  | Number | obj_value,
|  | const IpoptData * | ip_data,
|  | IpoptCalculatedQuantities * | ip_cq
| ) |  |
| virtual

This method is called after the optimization, and could write an output file with the optimal profiles.

Implements Ipopt::TNLP.

void MittelmannDistCntrlNeumBBase::SetBaseParameters | ( | Index | N,
|  | Number | lb_y,
|  | Number | ub_y,
|  | Number | lb_u,
|  | Number | ub_u,
|  | Number | b_0j,
|  | Number | b_1j,
|  | Number | b_i0,
|  | Number | b_i1,
|  | Number | u_init
| ) |  |
| protected

Method for setting the internal parameters that define the problem.

It must be called by the child class in its implementation of InitializeParameters.

virtual Number MittelmannDistCntrlNeumBBase::y_d_cont | ( | Number | x1,
|  | Number | x2
| ) |  | const
| protected pure virtual

Target profile function for y (and initial guess function)

Implemented in MittelmannDistCntrlNeumB3, MittelmannDistCntrlNeumB2, and MittelmannDistCntrlNeumB1.

virtual Number MittelmannDistCntrlNeumBBase::fint_cont | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u
| ) |  | const
| protected pure virtual

Integrant in objective function.

Implemented in MittelmannDistCntrlNeumB3, MittelmannDistCntrlNeumB2, and MittelmannDistCntrlNeumB1.

virtual Number MittelmannDistCntrlNeumBBase::fint_cont_dy | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u
| ) |  | const
| protected pure virtual

First partial derivative of fint_cont w.r.t.

y

Implemented in MittelmannDistCntrlNeumB3, MittelmannDistCntrlNeumB2, and MittelmannDistCntrlNeumB1.

virtual Number MittelmannDistCntrlNeumBBase::fint_cont_du | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u
| ) |  | const
| protected pure virtual

First partial derivative of fint_cont w.r.t.

u

Implemented in MittelmannDistCntrlNeumB3, MittelmannDistCntrlNeumB2, and MittelmannDistCntrlNeumB1.

virtual Number MittelmannDistCntrlNeumBBase::fint_cont_dydy | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u
| ) |  | const
| protected pure virtual

Second partial derivative of fint_cont w.r.t.

y,y

Implemented in MittelmannDistCntrlNeumB3, MittelmannDistCntrlNeumB2, and MittelmannDistCntrlNeumB1.

virtual bool MittelmannDistCntrlNeumBBase::fint_cont_dydy_alwayszero | ( |  | ) | const
| protected pure virtual

returns true if second partial derivative of fint_cont w.r.t.

y,y is always zero.

Implemented in MittelmannDistCntrlNeumB3, MittelmannDistCntrlNeumB2, and MittelmannDistCntrlNeumB1.

virtual Number MittelmannDistCntrlNeumBBase::fint_cont_dudu | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u
| ) |  | const
| protected pure virtual

Second partial derivative of fint_cont w.r.t.

u,u

Implemented in MittelmannDistCntrlNeumB3, MittelmannDistCntrlNeumB2, and MittelmannDistCntrlNeumB1.

virtual bool MittelmannDistCntrlNeumBBase::fint_cont_dudu_alwayszero | ( |  | ) | const
| protected pure virtual

returns true if second partial derivative of fint_cont w.r.t.

u,u is always zero.

Implemented in MittelmannDistCntrlNeumB3, MittelmannDistCntrlNeumB2, and MittelmannDistCntrlNeumB1.

virtual Number MittelmannDistCntrlNeumBBase::fint_cont_dydu | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u
| ) |  | const
| protected pure virtual

Second partial derivative of fint_cont w.r.t.

y,u

Implemented in MittelmannDistCntrlNeumB3, MittelmannDistCntrlNeumB2, and MittelmannDistCntrlNeumB1.

virtual bool MittelmannDistCntrlNeumBBase::fint_cont_dydu_alwayszero | ( |  | ) | const
| protected pure virtual

returns true if second partial derivative of fint_cont w.r.t.

y,u is always zero.

Implemented in MittelmannDistCntrlNeumB3, MittelmannDistCntrlNeumB2, and MittelmannDistCntrlNeumB1.

virtual Number MittelmannDistCntrlNeumBBase::d_cont | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u
| ) |  | const
| protected pure virtual

Forcing function for the elliptic equation.

Implemented in MittelmannDistCntrlNeumB3, MittelmannDistCntrlNeumB2, and MittelmannDistCntrlNeumB1.

virtual Number MittelmannDistCntrlNeumBBase::d_cont_dy | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u
| ) |  | const
| protected pure virtual

First partial derivative of forcing function w.r.t.

y

Implemented in MittelmannDistCntrlNeumB3, MittelmannDistCntrlNeumB2, and MittelmannDistCntrlNeumB1.

virtual Number MittelmannDistCntrlNeumBBase::d_cont_du | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u
| ) |  | const
| protected pure virtual

First partial derivative of forcing function w.r.t.

u

Implemented in MittelmannDistCntrlNeumB3, MittelmannDistCntrlNeumB2, and MittelmannDistCntrlNeumB1.

virtual Number MittelmannDistCntrlNeumBBase::d_cont_dydy | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u
| ) |  | const
| protected pure virtual

Second partial derivative of forcing function w.r.t.

y,y

Implemented in MittelmannDistCntrlNeumB3, MittelmannDistCntrlNeumB2, and MittelmannDistCntrlNeumB1.

virtual bool MittelmannDistCntrlNeumBBase::d_cont_dydy_alwayszero | ( |  | ) | const
| protected pure virtual

returns true if second partial derivative of d_cont w.r.t.

y,y is always zero.

Implemented in MittelmannDistCntrlNeumB3, MittelmannDistCntrlNeumB2, and MittelmannDistCntrlNeumB1.

virtual Number MittelmannDistCntrlNeumBBase::d_cont_dudu | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u
| ) |  | const
| protected pure virtual

Second partial derivative of forcing function w.r.t.

u,u

Implemented in MittelmannDistCntrlNeumB3, MittelmannDistCntrlNeumB2, and MittelmannDistCntrlNeumB1.

virtual bool MittelmannDistCntrlNeumBBase::d_cont_dudu_alwayszero | ( |  | ) | const
| protected pure virtual

returns true if second partial derivative of d_cont w.r.t.

y,y is always zero.

Implemented in MittelmannDistCntrlNeumB3, MittelmannDistCntrlNeumB2, and MittelmannDistCntrlNeumB1.

virtual Number MittelmannDistCntrlNeumBBase::d_cont_dydu | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u
| ) |  | const
| protected pure virtual

Second partial derivative of forcing function w.r.t.

y,u

Implemented in MittelmannDistCntrlNeumB3, MittelmannDistCntrlNeumB2, and MittelmannDistCntrlNeumB1.

virtual bool MittelmannDistCntrlNeumBBase::d_cont_dydu_alwayszero | ( |  | ) | const
| protected pure virtual

returns true if second partial derivative of d_cont w.r.t.

y,u is always zero.

Implemented in MittelmannDistCntrlNeumB3, MittelmannDistCntrlNeumB2, and MittelmannDistCntrlNeumB1.

MittelmannDistCntrlNeumBBase& MittelmannDistCntrlNeumBBase::operator= | ( | const MittelmannDistCntrlNeumBBase & |  | ) |
| private

Index MittelmannDistCntrlNeumBBase::y_index | ( | Index | i,
|  | Index | j
| ) |  | const
| inline private

Translation of mesh point indices to NLP variable indices for y(x_ij)

Definition at line 234 of file MittelmannDistCntrlNeumB.hpp.

Index MittelmannDistCntrlNeumBBase::u_index | ( | Index | i,
|  | Index | j
| ) |  | const
| inline private

Translation of mesh point indices to NLP variable indices for u(x_ij)

Definition at line 240 of file MittelmannDistCntrlNeumB.hpp.

Index MittelmannDistCntrlNeumBBase::pde_index | ( | Index | i,
|  | Index | j
| ) |  | const
| inline private

Translation of interior mesh point indices to the corresponding PDE constraint number.

Definition at line 246 of file MittelmannDistCntrlNeumB.hpp.

Number MittelmannDistCntrlNeumBBase::x1_grid | ( | Index | i | ) | const
| inline private

Compute the grid coordinate for given index in x1 direction.

Definition at line 251 of file MittelmannDistCntrlNeumB.hpp.

Number MittelmannDistCntrlNeumBBase::x2_grid | ( | Index | i | ) | const
| inline private

Compute the grid coordinate for given index in x2 direction.

Definition at line 256 of file MittelmannDistCntrlNeumB.hpp.

## Member Data Documentation

Index MittelmannDistCntrlNeumBBase::N_
| private

Number of mesh points in one dimension (excluding boundary)

Definition at line 199 of file MittelmannDistCntrlNeumB.hpp.

Number MittelmannDistCntrlNeumBBase::h_
| private

Step size.

Definition at line 201 of file MittelmannDistCntrlNeumB.hpp.

Number MittelmannDistCntrlNeumBBase::hh_
| private

h_ squaredd

Definition at line 203 of file MittelmannDistCntrlNeumB.hpp.

Number MittelmannDistCntrlNeumBBase::lb_y_
| private

overall lower bound on y

Definition at line 205 of file MittelmannDistCntrlNeumB.hpp.

Number MittelmannDistCntrlNeumBBase::ub_y_
| private

overall upper bound on y

Definition at line 207 of file MittelmannDistCntrlNeumB.hpp.

Number MittelmannDistCntrlNeumBBase::lb_u_
| private

overall lower bound on u

Definition at line 209 of file MittelmannDistCntrlNeumB.hpp.

Number MittelmannDistCntrlNeumBBase::ub_u_
| private

overall upper bound on u

Definition at line 211 of file MittelmannDistCntrlNeumB.hpp.

Number MittelmannDistCntrlNeumBBase::b_0j_
| private

Value of beta function (in Neumann boundary condition) for (0,x2) bounray.

Definition at line 214 of file MittelmannDistCntrlNeumB.hpp.

Number MittelmannDistCntrlNeumBBase::b_1j_
| private

Value of beta function (in Neumann boundary condition) for (1,x2) bounray.

Definition at line 217 of file MittelmannDistCntrlNeumB.hpp.

Number MittelmannDistCntrlNeumBBase::b_i0_
| private

Value of beta function (in Neumann boundary condition) for (x1,0) bounray.

Definition at line 220 of file MittelmannDistCntrlNeumB.hpp.

Number MittelmannDistCntrlNeumBBase::b_i1_
| private

Value of beta function (in Neumann boundary condition) for (x1,1) bounray.

Definition at line 223 of file MittelmannDistCntrlNeumB.hpp.

Number MittelmannDistCntrlNeumBBase::u_init_
| private

Initial value for the constrols u.

Definition at line 225 of file MittelmannDistCntrlNeumB.hpp.

Number* MittelmannDistCntrlNeumBBase::y_d_
| private

Array for the target profile for y.

Definition at line 227 of file MittelmannDistCntrlNeumB.hpp.

The documentation for this class was generated from the following file:

- examples/ScalableProblems/MittelmannDistCntrlNeumB.hpp